<?php
    require_once "./pdocontroller.php";
    if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
	if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
	if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
    if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
    if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
    $DBclase="PDOCONTROLLER";
    $DBconex=new $DBclase;
    $syseli="Eliminado";
    $query="select listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";
    $parametros=array(":modulo"=>$modulo);
	try{
        $datos=$DBconex->executeconsulta($query,$parametros);
        foreach($datos as $qdatos){
            if($accion=="i"){
                $query=$qdatos["sqlinit"];
            }else{
                $query=$qdatos["listasql"];
            }
        }
     }catch(Exception $ex){
         echo $ex->getMessage();
     }
        
    $DBconex=new $DBclase;

    if($accion!='i'){
        $query = "SELECT modcmp.titmod,moddet.* FROM moddet,modcmp where modcmp.nommod=moddet.modulo and ";
        $query = $query." moddet.modulo = :modulo ";
        $parametros=array(":modulo"=>$modulo);
        $query = $query." and (moddet.chkpub = :chkpublico or moddet.nombre='Id') ";
        //$query = $query." and (moddet.chkpub = :chkpublico ) ";
        $parametros[":chkpublico"] = 1;
        $query = $query." order by moddet.bloque,moddet.orden";
    }else{
       // $query=$query." where  estado <> :estado  ";
       // $parametros=array(":estado"=>$syseli);
       $parametros=[];
    //echo $query;
    }
    
    
    try{
       $datos=$DBconex->executeconsulta($query,$parametros);
       header("Content-Type: application/json");
       echo json_encode($datos);
       return;
       if(is_integer($datos)){
            echo "ocurrio un error";
        }else{
            if(isset($datos) && !empty($datos) && sizeof($datos)>0){
                foreach($datos as $qdatos){
                    echo $qdatos["titmod"].$qdatos["nombre"]."<br>";
                }
            }
        }
    }catch(Exception $ex){
        echo $ex->getMessage();
    }
    echo "final";        
?>

